#!/bin/sh
# $Id: build_qcad.sh,v 1.12 2003/10/17 20:41:45 andrew Exp $

echo "Building fparser, dxflib, qcadlib, qcadcmd, qcadactions, qcadguiqt, qcad.."

# adjust these settings to your individual system:
#
# freebsd: use gmake
# solaris: use make
# redhat: Qt is probably located in /usr/lib/qt-3.1 or similar
# suse: Qt is usually located in /usr/lib/qt3
#
export MAKE=make
#export MAKE=gmake
#export QTDIR=/usr/local/X11/qt
#export QTDIR=/usr/share/qt3
#export PATH=$PATH:$QTDIR/bin

# no need to change anything below this line...

if [ -z $QTDIR ]
then
	echo "QTDIR not set. Aborting.."
	exit
fi

if [ -d ../mkspecs/linux-g++-qcad ]
then
	export QMAKESPEC=`pwd`/../mkspecs/linux-g++-qcad
fi

cd ..

cd fparser
./configure
eval $MAKE
cd ..

if [ ! -f fparser/lib/libfparser.a ]
then
	echo "Building libfparser.a failed"
	exit;
fi

cd dxflib
./configure
eval $MAKE
cd ..

if [ ! -f dxflib/lib/libdxf.a ]
then
	echo "Building libdxf.a failed"
	exit;
fi

cd qcadcmd
eval $MAKE prepare
cd ..

cd qcadlib
eval $MAKE
cd ..

if [ ! -f qcadlib/lib/libqcad.a ]
then
	echo "Building libqcad.a failed"
	exit;
fi

cd qcadcmd
eval $MAKE
cd ..

if [ ! -f qcadcmd/lib/libqcadcmd.a ]
then
	echo "Building libqcadcmd.a failed"
	exit;
fi

cd qcadactions
eval $MAKE
cd ..

if [ ! -f qcadactions/lib/libqcadactions.a ]
then
	echo "Building libqcadactions.a failed"
	exit;
fi

cd qcadguiqt
eval $MAKE
cd ..

if [ ! -f qcadguiqt/lib/libqcadguiqt.a ]
then
	echo "Building libqcadguiqt.a failed"
	exit;
fi

cd qcad
eval $MAKE
cd ..

if [ ! -f qcad/qcad -a ! -f qcad/qcad.app/Contents/MacOS/qcad ]
then
	echo "Building qcad binary failed"
	exit;
fi

#cd scripts
#bash ./release_translations.sh

